#include "TestCase.h"
#include "TestCaseRunner.h"

#include "GuiApplication.h"

#include "TestFramework.h"

#include <memory>
#include <string>
#include <iostream>

TEST_CASE(TestOpenGlRendering, "graphics")
{
    auto app = std::make_unique<GuiApplication>();

    app->setUiInterfaceBackend(UiInterfaceFactory::Backend::X11);
    //app->setUiInterfaceBackend(UiInterfaceFactory::Backend::X11_RASTER);


    //app->run();
};
